#include <Wire.h>
#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C lcd(0x3F, 16, 2);

int speed1=0,speed2=0,x=0, pwm=0;
const int tempPin = A0; // TMP connected to A0
const int ledPin1 = 12;
const int ledPin2 = 13;
const float thresholdTemp = 20.0; // Temperature threshold in °C

void setup()
{
  lcd.init();
  lcd.backlight();
  pinMode(3,OUTPUT);
  pinMode(6,OUTPUT);
  pinMode(7,OUTPUT);
}

void loop()
{
float voltage = analogRead(tempPin) * (5.0 / 1023.0); // Convert to voltage
float temperature = (voltage - 0.5) * 100.0; // Convert voltage to °C

lcd.setCursor(0, 0);
lcd.print("Temp: ");
lcd.print(temperature);
lcd.print(" C");

if(temperature > thresholdTemp)
{x=3;
	digitalWrite(6,HIGH);
 	digitalWrite(7,LOW);
  digitalWrite(ledPin1,HIGH);
  digitalWrite(ledPin2,HIGH);
  lcd.setCursor(0, 1);
  lcd.print("Fan: ON         ");
}
if(temperature < thresholdTemp)
{x=5;
	digitalWrite(7,LOW);
 	digitalWrite(6,LOW);
  lcd.setCursor(0, 1);
  lcd.print("Fan: OFF        ");
}

pwm=map(x,0,5,0,255);
analogWrite(3,pwm);
delay(1000);
}